# By Mees le 30/12/2022 -------------------------------------------------------------
## Exercice 1

def nombre_de_mots(phrase):
    """ Renvoie le nombre de mots contenus dans la phrase.
        Il faut tester le caractère final '.', '!' ou '?'
        car avec '.' pas d'espace final. """
    caract_final = phrase[-1] # c'est le cacactère final
    phrase = phrase[:-1] # pour enlever le dernier caractère
    # On sépare la phrase en mots en utilisant la fonction split()
    mots = phrase.split(' ')
    # Si '.' final, il n'y a pas d'espace final
    compteur = 0
    if caract_final == '!' or caract_final == '?':
        compteur = len(mots) - 1
    elif caract_final == '.':
        compteur = len(mots)
    return compteur
    

# Exemples d'utilisation de la fonction
print(nombre_de_mots('Le point d exclamation est separe !'))
print(nombre_de_mots('Il y a un seul espace entre les mots !'))
print(nombre_de_mots('Le point final est colle au dernier mot.'))
print(nombre_de_mots('Gilbouze macarbi acra cor ed filbuzine ?'))

# Autre possibilité
def nombre_de_mots2(phrase):
    """ Renvoie le nombre de mots contenus dans la phrase.
        Il faut tester le caractère final '.', '!' ou '?'
        car avec '.' pas d'espace final. """
    caract_final = phrase[-1] # c'est le cacactère final
    phrase = phrase[:-1] # pour enlever le dernier caractère
    compteur = 0
    for caractere in phrase:
        if caractere == " ": # si le caractère est un espace
            compteur += 1
    if caract_final in ['!', '?']:
        nb_mots = compteur
    elif caract_final == '.':
        nb_mots = compteur + 1
    return nb_mots
    # Si '.' final, il n'y a pas d'espace final
    if caract_final == '!' or caract_final == '?':
        compteur = len(mots) - 1
    elif caract_final == '.':
        compteur = len(mots)
    return compteur

# Exemples d'utilisation de la fonction 2
print()
print(nombre_de_mots2('Le point d exclamation est separe !'))
print(nombre_de_mots2('Il y a un seul espace entre les mots !'))
print(nombre_de_mots2('Le point final est colle au dernier mot.'))
print(nombre_de_mots2('Gilbouze macarbi acra cor ed filbuzine ?'))